Zukünftige Unterstützung der WSC 5.2

Das End of Life

Wie eigentlich bei jeder neuen WSC-Version rückt damit auch das sogenannte EOL (End of Life) unserer

Plugins für ältere Versionen näher. Ich handhabe es relativ einfach. Unterstützt wird die aktuelle Version,

sowie die vorherige Version. Somit wird der Support für das WSC 5.2 bereits einige Wochen oder sogar

schon Tage nach der Veröffentlichung der WoltLab Suite™ 5.4 von unserer Seite nicht mehr angeboten. Nähere Informationen gibt es dann, wenn es so weit ist. Es wird natürlich eine Art "Übergangszeit" geben.

Es wird also für jedes Produkt ein Wartungsupdate veröffentlicht, welche die WSC 5.2 ausschließt.


Klar gibt es sicherlich auch Gründe nicht die allerneuste Version zu nutzen, daher auch die Option unsererseits,

die 5.3 weiterhin zu nutzen. Bis zur 5.5 gibt es voraussichtlich Support und Updates. ;)


Kompatibilität & kleiner Ausblick in die Zukunft

Wie ich bisher gesehen habe, ist es nicht erforderlich, dass wir unsere Plugins oder Stile weitestgehend ändern müssen, um eine Kompatibilität herzustellen. Auf meinem Plan steht derzeit das reDesign der Stile Grayer, Autumn, Summer & Winter an.

Zwingend erforderlich ist es aber für die 5.4 nicht, da dort keine "großen" Änderungen angekündigt worden sind.

Ein neuer Stil namens "Spring" verschiebe ich auf nächstes Jahr, der Frühling ist ja jetzt schon wieder vorbei. X/

In Sachen Plugins steht die Implementierung des FormBuilders in die "Kopieren-Plugins" an, allerdings muss ich mich dazu erst einmal beschäftigen.

Die Profilfelder benötigen vorerst kein Kompatibilität-Update. Allerdings könnte sich das reDesign noch etwas hinziehen, da ziemlich viel auf der Arbeit anfällt und ich nun auch in die Fahrschule gehe.


Paketserver

Der Paketserver für die 5.2 bleibt weiterhin bestehen, ich werde die Downloads für die 5.2 vorerst auch nicht deaktivieren.

Lediglich gibt es keine Hilfestellung und Updates mehr.

Für den PlugIn-Store gibt es nun den Paketserver unter der URL: https://d1strict.de/packages/5.4/stable/

und für den Shop: https://d1strict.de/shop/update/3-5-4/.